{% load static %}
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>{% block title %}{% endblock %} · Dixit</title>

  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Peralta">
  <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
  <link rel="stylesheet" href="{% static 'css/base.css' %}">
  {% block stylesheet %}{% endblock %}

  <link rel="icon" type="image/png" href="{% static 'img/favicon.ico' %}">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container">
    {# <a class="navbar-brand" href="{% url 'home' %}">Dixit</a> #}
    <button class="navbar-toggler" type="button" data-toggle="collapse"
            data-target="#navMenu">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navMenu">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link active" href="{% url 'home' %}">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'join_game' %}">Join game</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'create_game' %}">Create game</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'how_to_play' %}">How to play</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'leaderboard' %}">Leaderboard</a>
        </li>
        <li class="nav-item">
          {% if user.is_admin %}
            <a class="nav-link" href="{% url 'admin:index' %}">Admin site</a>
          {% elif not user.is_vip %}
            <a class="nav-link" href="{% url 'become_vip' %}">Become VIP</a>
          {% endif %}
        </li>
      </ul>

      {% if user.is_authenticated %}
        <ul class="navbar-nav">
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="userMenu"
               data-toggle="dropdown">
              {% include 'includes/username.html' %}
            </a>
            <div class="dropdown-menu dropdown-menu-right">
              <a class="dropdown-item" href="{% url 'profile' %}">My profile</a>
              <a class="dropdown-item" href="{% url 'password_change' %}">
                Change password
              </a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="{% url 'logout' %}">Log out</a>
            </div>
          </li>
        </ul>
      {% else %}
        <form class="form-inline ml-auto">
          <a href="{% url 'login' %}" class="btn btn-secondary" role="button">
            Log in
          </a>
          <a href="{% url 'signup' %}" class="btn btn-primary ml-2" role="button">
            Sign up
          </a>
        </form>
      {% endif %}
    </div>
  </div>
</nav>

{% block body %}
  <div class="container">
    <div class="row justify-content-center mt-5">
      {% block content %}{% endblock %}
    </div>
  </div>
{% endblock body %}

<script src="{% static 'js/jquery-3.3.1.min.js' %}"></script>
<script src="{% static 'js/popper.min.js' %}"></script>
<script src="{% static 'js/bootstrap.min.js' %}"></script>
{% block page_javascript %}{% endblock %}

<script>
  $(document).ready(() => {
    $('[data-toggle="tooltip"]').tooltip();
  })
</script>
</body>
</html>
